Logstash and Java 11


(GB) #1

Hi,

I'm looking for info on the plans to move Logstash to Java 11.

The only thread I see is under Elasticsearch

The support matrix referenced shows support for Java 11 will be part of Elastic 6.5.x
https://www.elastic.co/de/support/matrix#matrix_jvm

Logstash shows no support for Java 9/10/11 - what are the plans for moving beyond Java 8 given the Jan 2019 support changes?

thanks,
Graham


(Monica Sarbu) #2

We are working on adding support for Java 11. There is a meta issue with more details: https://github.com/elastic/logstash/issues/9345.


Logstash Cannot Find Java (I know, it's common, but)
Logstash startup failed with missing jar
Logstash 6.5.2 does not start with openjdk11